"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SelectControl = SelectControl;
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = _interopRequireDefault(require("react"));
var _uikit = require("@gravity-ui/uikit");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _excluded = ["onChange"];
function SelectControl(props) {
  var onChange = props.onChange,
    rest = (0, _objectWithoutProperties2.default)(props, _excluded);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_uikit.Select, (0, _objectSpread2.default)((0, _objectSpread2.default)({}, rest), {}, {
    onUpdate: onChange
  }));
}
SelectControl.getDefaultValue = function () {
  return undefined;
};
SelectControl.isEmpty = function (value) {
  return !(value !== null && value !== void 0 && value.length);
};
// #sourceMappingURL=SelectControl.js.map
// #sourceMappingURL=SelectControl.js.map