import { I18N, Params } from '@gravity-ui/i18n';
import { Lang } from './configure';
declare const i18n: I18N;
declare type KeysetData = Parameters<typeof i18n.registerKeyset>[2];
export declare function makeKeyset<Keyset extends KeysetData>(component: string, { ru, en }: Record<Lang, Keyset>): (key: keyof Keyset, params?: Params) => string;
export {};
