"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.makeKeyset = makeKeyset;
var _i18n = require("@gravity-ui/i18n");
var _configure = require("./configure");
var i18n = new _i18n.I18N();
(0, _configure.subscribeConfigure)(function (config) {
  i18n.setLang(config.lang);
});
function makeKeyset(component, _ref) {
  var ru = _ref.ru,
    en = _ref.en;
  i18n.registerKeyset('ru', component, ru);
  i18n.registerKeyset('en', component, en);
  return i18n.keyset(component);
}
// #sourceMappingURL=i18n.js.map
// #sourceMappingURL=i18n.js.map