declare const TAB_ID = "id";
interface TabData {
    [TAB_ID]: string;
}
export declare function getTabId(tabValues: TabData): string;
export declare function checkTabId(newTabData: TabData, tabs: TabData[]): void;
export declare function applyFunctions<T extends (...args: unknown[]) => void>(...fns: (T | undefined)[]): (...args: Parameters<T>) => void;
export {};
