"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));
var _createSuper2 = _interopRequireDefault(require("@babel/runtime/helpers/createSuper"));
var _react = _interopRequireDefault(require("react"));
var _cn = require("../../helpers/cn");
var _EditableList = _interopRequireDefault(require("../EditableList/EditableList"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _excluded = ["title", "data"];
var block = (0, _cn.dfCN)('editable-many-lists');
var EditableManyLists = /*#__PURE__*/function (_React$Component) {
  (0, _inherits2.default)(EditableManyLists, _React$Component);
  var _super = (0, _createSuper2.default)(EditableManyLists);
  function EditableManyLists() {
    var _this;
    (0, _classCallCheck2.default)(this, EditableManyLists);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _this.onChange = function (index, data) {
      var _this$props = _this.props,
        value = _this$props.value,
        onChange = _this$props.onChange;
      var newRowData = (0, _objectSpread2.default)((0, _objectSpread2.default)({}, value[index]), {}, {
        data: data
      });
      var newValue = (0, _toConsumableArray2.default)(value);
      newValue.splice(index, 1, newRowData);
      onChange(newValue);
    };
    return _this;
  }
  (0, _createClass2.default)(EditableManyLists, [{
    key: "render",
    value: function render() {
      var _this2 = this;
      var _this$props2 = this.props,
        className = _this$props2.className,
        value = _this$props2.value,
        itemRenderer = _this$props2.itemRenderer,
        titleClassName = _this$props2.titleClassName,
        maxVisibleCount = _this$props2.maxVisibleCount;
      return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: block(null, className),
        children: value.map(function (_ref, index) {
          var title = _ref.title,
            data = _ref.data,
            rest = (0, _objectWithoutProperties2.default)(_ref, _excluded);
          return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_react.default.Fragment, {
            children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
              className: block('title', titleClassName),
              children: title
            }, index), /*#__PURE__*/(0, _jsxRuntime.jsx)(_EditableList.default, (0, _objectSpread2.default)((0, _objectSpread2.default)({
              itemRenderer: itemRenderer,
              maxVisibleCount: maxVisibleCount
            }, rest), {}, {
              value: data,
              onChange: _this2.onChange.bind(_this2, index)
            }))]
          }, index);
        })
      });
    }
  }], [{
    key: "getDefaultValue",
    value: function getDefaultValue() {
      return [];
    }
  }, {
    key: "isEmpty",
    value: function isEmpty() {
      return false;
    }
  }]);
  return EditableManyLists;
}(_react.default.Component);
var _default = EditableManyLists; // #sourceMappingURL=EditableManyLists.js.map
exports.default = _default;
// #sourceMappingURL=EditableManyLists.js.map